Skip to content

Search department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

You can search by organization code, search keywords, search department, organization name, etc.

Method name

ManagementClient.searchDepartments

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
keywordsstringyes-Search keywords, such as organization name, etc.GenAuth
organizationCodestringyes-Organization codesteamory
withCustomDatabooleanno-Whether to obtain custom datatrue
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.searchDepartments({
    organizationCode: "steamory",
    keywords: "GenAuth",
    withCustomData: true,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: DepartmentListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "Development Department",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "Technical R&D Department",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "Chinese"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data structure

DepartmentDto

NameTypeIs it required?DescriptionSample value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringyesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringnoModification time2022-07-03T03:20:30.000Z
openDepartmentIdstringnoCustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringyesDepartment nameDevelopment Department
leaderUserIdsarraynoDepartment leader ID["60b49eb83fd80adb96f26e68"]
descriptionstringnoDepartment descriptionTechnical R&D Department
parentDepartmentIdstringyesParent department ID, if it is a root department, pass root6229c4deb3e4d8a20b6021ff
codestringnoDepartment identification code6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesParent department codetest
membersCountnumberyesNumber of department members (only direct members)11
hasChildrenbooleanyesWhether to include child departmentstrue
isVirtualNodebooleannoWhether to be a virtual department
i18nnoMulti-language settings Nested type: <a DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
postsarrayNoPositions associated with department
postIdListarrayNoPosition id list["xxx"]
statusbooleannodepartment statusfalse
allowstringnoaccess restriction["xxx"]

DepartmentI18nDto

nametypeIs it requiredDescriptionSample value
nameyesMulti-language support field Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.